Loading...
Searching...
No Matches

## slapy2()

real function slapy2 | ( | real | x,
|  | real | y )

SLAPY2 returns sqrt(x2+y2).

Download SLAPY2 + dependencies [TGZ] [ZIP] [TXT]

Purpose:

      !>
      !> SLAPY2 returns sqrt(x**2+y**2), taking care not to cause unnecessary
      !> overflow and unnecessary underflow.
      !>

Parameters

  [in]

  X

      !>          X is REAL
      !>

  [in]

  Y

      !>          Y is REAL
      !>          X and Y specify the values x and y.
      !>

Author
  Univ. of Tennessee
  Univ. of California Berkeley
  Univ. of Colorado Denver
  NAG Ltd.